#' @title Alert a mattermost server of something
#'
#' @description
#' Function used to send information on something to a mattermost server
#'
#' @param msg character, the message to be sent.
#' @param server character, the address of the mattermost server
#' @param hook character, the hook to send message
#' @param user character, the username to be used
#' @param alert logical, should the message be sent
#'
#' @return nothing
#'
#' @export
#'
#' @examples
#' 
#' alert_mattermost("Sorry for disturbance, this is a test.")

alert_mattermost = function(
    msg,
    server = "https://mattermost.g-eau.fr",
    hook = "t431oh78k3fcmjtoukr1myy16o",
    user = "floodam.data",
    alert = TRUE
) {
    if (alert == TRUE) {
        command = sprintf(
            'curl -i -X POST -H \'Content-Type: application/json\' -d "{\\"username\\":\\"%s\\", \\"text\\":\\"%s\\"}" %s/hooks/%s',
            user, paste(msg, collapse = "\n"), server, hook
        )
        invisible(system(command, ignore.stdout = TRUE, ignore.stderr = TRUE))
    }
}