#' @title Send a message conditionnaly to verbose
#' 
#' @description
#' `send_message()` sends a message if only verbose is set to TRUE.
#'
#' @param ...  	zero or more objects which can be coerced to character (and
#'      which are pasted together with no separator) or (for message only) a
#'      single condition object.character, the message to be sent.
#' @param verbose logical, should the message be sent.
#'
#' @return nothing
#'
#' @export
#'
#' @examples
#' 
#' send_message ("This is not a useful message")
#' send_message ("This is not a useful message", verbose = FALSE)

send_message = function(..., verbose = TRUE) {
    if (verbose == TRUE) message(...)
}