# floodam.data <img src="man/figures/logo.png" align="right" width="25%" height="25%"/>
## Welcome to floodam.data

**floodam.data** is an R library for dowloading and preparing (spatial) database (DB) that may be used as input for cost-benefit analysis (CBA) applied to flood management policies.

data prepared by **floodam.data** are particularly suited to be used with **floodam.spatial**.

This library has been developed within the French working group "GT AMC" which aims at developing methodologies for the economic appraisal of flood management policies.
In this context, the development of **floodam.data** has received the support of the French Ministry in charge of the Environment.

## What **floodam.data** can do

**floodam.data** can download data from different sources:

- BD TOPO from IGN
- RPG from IGN or cquest
- geo_sirene from cquest

**floodam.data** can perform elementary analysis:

- analyse integrity of downloaded data
- enhance spatial DB with flood information from EAIP
- log how download and 

## What **floodam.data** cannot do

**floodam.data** cannot (and this won't be done without someone interested):

- download data that are not produced in a French context.

**floodam.data** cannot (but should at some point be able to) :

- download and prepare data from INSEE.

## How to get **floodam.data** ?

You can download and install it from this archive:
[www.floodam.org/library/floodam.data_0.9.39.0.tar.gz](http://www.floodam.org/library/floodam.data_0.9.39.0.tar.gz).

For instance, in a linux environment, you can use those bash instructions:

```
# without devtools
wget www.floodam.org/library/floodam.data_0.9.39.0.tar.gz
R -e "install.packages(pkgs = 'floodam.data_0.9.39.0.tar.gz', type = 'source', repos = NULL, dependencies = TRUE)"
rm floodam.data_0.9.39.0.tar.gz

# with devtools
R -e "devtools::install_url('www.floodam.org/library/floodam.data_0.9.39.0.tar.gz')"
```

In case you are not using a linux environment, you can do the same within a R session:

```
# without devtools
archive = "floodam.data_0.9.39.0.tar.gz"
url = file.path("www.floodam.org/library", archive)
download.file(url = url, destfile = archive)
install.packages(pkgs = archive, type = 'source', repos = NULL, dependencies = TRUE)
unlink(archive)

# with devtools
devtools::install_url('www.floodam.org/library/floodam.data_0.9.39.0.tar.gz')
```


## How to get **floodam.data** ?

For the moment, ask us. It will be public soon.

## How to help for the development of **floodam.data**

Contact us.
