% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/adapt.eaip.R
\encoding{UTF-8}
\name{adapt.eaip}
\alias{adapt.eaip}
\title{Adapt eaip data}
\usage{
adapt.eaip(
  origin,
  destination,
  department,
  export = "rds",
  projection = 4326,
  variable_common = floodam.data::eaip_variable,
  validity = TRUE,
  retrieve = FALSE,
  verbose = FALSE
)
}
\arguments{
\item{origin}{character, path to the directory where eaip are stored}

\item{destination}{character, path to the directory where results should be saved}

\item{department}{vector, departments to be adpated}

\item{export}{character, option for export format of the results}

\item{projection}{integer or object of type CRS giving projection}

\item{variable_common}{character, what are the variables that should be kept. Best to leave it to default or NULL.}

\item{validity}{logical, should st_make_valid be applied (may be very long).}

\item{retrieve}{logical, should the result be returned}

\item{verbose}{logical, should the function give some sumup informations.}
}
\value{
if retrieve = TRUE, sf object representing eaip for asked departments.
}
\description{
The following treatment are performed:
\itemize{
\item all files for a given department are grouped (through a sf rbind)
\item only some common variables are kept
\item the projection is set to projection
\item the geometry is made valid
\item the output is saved at department level as rds in given destination
}
}
\examples{

\dontrun{
origin = "~/data/BD/EAIP/shp"
destination = tempdir()
eaip_01 = adapt.eaip(origin, destination, department = 1, verbose = TRUE, retrieve = TRUE)
}
}
\author{
Frédéric Grelot
}
