% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/adapt.geo_sirene.R
\encoding{UTF-8}
\name{adapt.geo_sirene}
\alias{adapt.geo_sirene}
\title{Adapt sirene data}
\usage{
adapt.geo_sirene(
  origin,
  destination,
  archive,
  export = "fst",
  scheme = floodam.data::scheme_sirene_2019,
  na_value = floodam.data::scheme_sirene_na,
  eaip_path = NULL,
  projection = 4326,
  order_by = c("state", "eaip"),
  retrieve = FALSE,
  verbose = FALSE
)
}
\arguments{
\item{origin}{character, path to the directory where archive are stored}

\item{destination}{character, path to the directory where results should be saved}

\item{archive}{character, vector of archive to be adpated}

\item{export}{character, option for export format of the results}

\item{scheme}{data.frame, how archive variables should be treated}

\item{na_value}{data.frame, list of NA values for each variables}

\item{eaip_path}{character, path where eaip archives should be find}

\item{projection}{optional numeric, 4 digits projection to use}

\item{order_by}{optional character, name of the variable to sort the output data.
Default sorting is by state and eaip (if added).}

\item{retrieve}{logical, should the result be returned}

\item{verbose}{logical, should the function give some sumup informations.}
}
\value{
if retrieve = TRUE, data.frame of adapated data stored in archive.
}
\description{
The following treatment are performed:
\itemize{
\item Only some fileds are selected, field names (colnames) are consistently set.
\item NA values are consistently set.
\item Type of fields are consistently set, some checks are performed on transformations.
\item Data set is cut and saved by departments
\item Only observations with spatial coordinates are kept.
\item Exposition of observations (belonging or not to eaip) is added.
}
}
\examples{

\dontrun{
origin = ""
destination = tempdir()
archive = "geo_siret_34.csv.gz"
result = adapt.geo_sirene(origin, destination, verbose = TRUE, retrieve = TRUE)
}
}
\author{
Victor Champonnois et Frédéric Grelot
}
