% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/adapt_gaspar.R
\encoding{UTF-8}
\name{adapt_gaspar}
\alias{adapt_gaspar}
\title{Adapt gaspar database}
\usage{
adapt_gaspar(
  origin,
  destination = origin,
  archive = "gaspar.zip",
  theme = "catnat",
  version,
  scope = NULL,
  export = "rds",
  retrieve = FALSE,
  keep = FALSE,
  verbose = TRUE
)
}
\arguments{
\item{origin}{character, path to the directory where archive are stored.}

\item{destination}{character, path to the directory where results should be saved}

\item{archive}{character, vector of archive to be adpated}

\item{theme}{character, name of the theme to be treated}

\item{version}{character, version of data to be treated. If missing, version
is guessed from folders in origin.}

\item{scope}{list, named list of scope (vector of commune)}

\item{export}{character, option for export format of the results}

\item{retrieve}{logical, should the result be returned}

\item{keep}{logical, should the original data be kept. Default to FALSE.}

\item{verbose}{logical, should the function give some sumup informations. Default to TRUE.}
}
\value{
if retrieve = TRUE, data.frame of adapated data stored in archive.
}
\description{
The following treatments are performed:
\itemize{
\item data is adapated consistently with theme
\item only data corresponding to flood hazards are kept
\item if scope is given, a subpart of data is also saved
}
}
\examples{

\dontrun{
origin = "data-local/georisques/gaspar"
adapt_gaspar(file.path(origin))
adapt_gaspar(file.path(origin, "2022-02-28"), scope = list("so_ii" = so.ii::so_ii_scope))
}
}
\author{
Frédéric Grelot
}
