% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/add_log_info.R
\encoding{UTF-8}
\name{add_log_info}
\alias{add_log_info}
\title{Apply a step to data analysis}
\usage{
add_log_info(x, fun, info, journal, verbose, verification, level = 1, ...)
}
\arguments{
\item{x}{data to be adapted.}

\item{fun}{function, the analysis that may performed on x.}

\item{info}{list, gives the name of the step both in 'short' and 'long'
terms.}

\item{journal}{either FALSE, if not must be a character of length one, and
will be interpreted at the log file where to save any log information. Its
format should be in '\emph{.log' in order to create also a '}-log.csv' log file
that will store information on time and any given verification in csv format.}

\item{verbose}{logical, should the some messages be sent in real time.}

\item{verification}{expression, a simple treatment that will be added to
*log.csv, may be missing.}

\item{level}{integer, the number of tabulation that will be added to the
message.}

\item{...}{anything that may be needed by fun.}
}
\value{
x transformed by fun
}
\description{
This function allows to embed a analysis made by a function, so that log
information can be saved in a consistent way, messages can be sent depending
on the parameter verbose.
}
\author{
Frédéric Grelot
}
