% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/add_transparency.R
\encoding{UTF-8}
\name{add_transparency}
\alias{add_transparency}
\title{Add transparency to color}
\usage{
add_transparency(x, alpha = 0, maxColorValue = 255)
}
\arguments{
\item{x}{vector of original color.}

\item{alpha}{numeric between O and 1, desired transparency.}

\item{maxColorValue}{integer, same as in rgb.}
}
\value{
vector of colors with alpha.
}
\description{
This functions add (or set) transparency to a vector of colors.
}
\details{
Both 'x' and 'alpha' may be vectors. In case their length are not compatible,
a vector of the maximum length will be generated without any warning.
}
\examples{

add_transparency("black", .5)
add_transparency(c("red", "black"), .5)

# No warnings when length differs
add_transparency(c("#000000FF", "black", "red", "blue"), c(0, .5, 1))
}
\author{
Frédéric Grelot
}
