% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/alert_gaspar.R
\encoding{UTF-8}
\name{alert_gaspar}
\alias{alert_gaspar}
\title{Analyse gaspar to send an alert to mattermost}
\usage{
alert_gaspar(origin, current, past, scope, alert = TRUE, verbose = TRUE)
}
\arguments{
\item{origin}{character, path to the directory where archive are stored.}

\item{current}{character, date of the current data;}

\item{past}{character, date of the past data.}

\item{scope}{list, named list of scope (vector of commune).}

\item{alert}{logical, should the result be returned.}

\item{verbose}{logical, should the function give some sumup informations.}
}
\value{
if retrieve = TRUE, data.frame of adapated data stored in archive.
}
\description{
The following treatments are performed:
\itemize{
\item If no sufficient versions are found, nothing is done.
\item NA values are consistently set.
\item Type of fields are consistently set, some checks are performed on transformations.
\item Data set is cut and saved by departments
\item Only observations with spatial coordinates are kept.
\item Exposition of observations (belonging or not to eaip) is added.
}
}
\examples{

\dontrun{
origin = "data-local/georisques/gaspar"
download_gaspar(file.path(origin, Sys.Date()))
catnat = adapt_gaspar(file.path(origin, Sys.Date()), scope = list("so_ii" = so.ii::so_ii_scope))
alert_gaspar(origin, scope = "so_ii")
}
}
\author{
Frédéric Grelot
}
