% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/basename_extended.R
\encoding{UTF-8}
\name{basename_extended}
\alias{basename_extended}
\alias{basename_core}
\alias{basename_ext}
\title{Utilities enhancing basename()}
\usage{
basename_core(x)

basename_ext(x)
}
\arguments{
\item{x}{character vector, file paths}
}
\value{
character vector of processed files.
}
\description{
Utilities for getting name of files and extension in another whay than of
\code{\link[tools:fileutils]{tools::file_ext()}} and others corresponding functions.
}
\details{
\code{basename_core()} differs from \code{\link[tools:fileutils]{tools::file_path_sans_ext()}} in this:
\itemize{
\item \code{\link[=basename]{basename()}} is first applied
\item "compounded" extensions are removed. See examples.
}

\code{basename_ext()} differs from \code{\link[tools:fileutils]{tools::file_path_sans_ext()}} in this:
\itemize{
\item \code{\link[=basename]{basename()}} is first applied
\item "compounded" extensions are extracted. See examples.
}
}
\examples{

# equivalent to tools::file_path_sans_ext
basename_core("toto.7z")

# different from tools::file_path_sans_ext
basename_core("toto.7z.001")
basename_core("path/toto.csv")
basename_core("path/toto.csv.gz")


# equivalent to tools::file__ext
basename_ext("toto.7z")
basename_ext("path/toto.csv")

#'different from tools::file__ext
basename_ext("toto.7z.001")
basename_ext("path/toto.csv.gz")
}
\author{
Frédéric Grelot
}
