% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/complete_pattern.R
\name{complete_pattern}
\alias{complete_pattern}
\title{Prepare a pattern for grep}
\usage{
complete_pattern(x, begin = FALSE, ending = FALSE, extension = FALSE)
}
\arguments{
\item{x}{character, vector of patterns to be completed}

\item{begin}{logical, should the pattern be at the beginning of strings}

\item{ending}{logical, should the pattern be at the end of strings}

\item{extension}{logical, should the pattern considered as an extension with a starting dot}
}
\value{
character of length one. To each element of x, it is firts applied transformation given by
begin, ending and extention. Then, it is collapsed with "|". It can be used in a grep call.
}
\description{
Prepare a pattern from a vector of characters. It particularly useful to
find files of given extension within a vector of names.
}
\examples{
extension = c("zip", "7z")
complete_pattern(extension)
complete_pattern(extension, extension = TRUE)
complete_pattern(extension, ending = TRUE)
}
