% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create_month.R
\name{create_month}
\alias{create_month}
\title{Create a sequence of months}
\usage{
create_month(begin, ending)
}
\arguments{
\item{begin}{character, begining month. See details for format.}

\item{ending}{character, ending month. See details for format.}
}
\value{
A character vector with the sequence of month either in format "\\%m" or "\\%Y-\\%m" depending on
parameters.
}
\description{
Create an increasing ordered sequence of months
}
\details{
It creates a sequence of ordered months. The final format depends on the format of input parameters, that must
be of the same type. If both begin and ending can be transform as \code{integer} between 1 and 12, it will return
a sequence of month of formatted month '\\%m'. If both begin and ending can be interpreted as something like
"\\%Y-\\%m", it will return a sequence of month exactly formatted as "\%Ym-\%d". \code{begin} and \code{ending} may
be written as "\\%Y_\\%m", "\\%Y:\\%m", or "\\%Y/\\%m", eventually with missing starting'0' for month.
}
\examples{
## Only with month (\%m)
create_month(4, 8)
create_month("04", "08") 
create_month("08", "04") 

## With year and month (\%Y-\%m)

create_month("2010-03", "2014-07")
create_month("2014-07", "2010-03")
create_month("2010-3", "2014-07")
create_month("2010-3", "2014-7")

\dontrun{create_month(4, 13)}
\dontrun{create_month("04", "13")}
\dontrun{create_month("2010-13", "2014-07")}
\dontrun{create_month("01", "2014-07")}
}
