% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/download.rpg.R
\name{download.rpg}
\alias{download.rpg}
\title{Download RPG}
\usage{
download.rpg(
  destination,
  origin = "cquest",
  name = NULL,
  extension = NULL,
  version = NULL,
  date = NULL,
  year = NULL,
  verbose = TRUE
)
}
\arguments{
\item{destination}{character, the address where dara are stocked.}

\item{origin}{character, either a keyword or the address from where data are downloaded. See details.}

\item{name}{character, vector of acceptable names fo archive to be downloaded.}

\item{extension}{character, vector of acceptable types of archive to be downloaded.}

\item{version}{string, version of archive to be downloaded.}

\item{date}{character, date of the archive to be downloaded.}

\item{year}{integer or character, vector of year to be downloaded.}

\item{verbose}{logical, should the function send some messages while running.}
}
\value{
nothing
}
\description{
Function used to download RPG
}
\section{Details}{


If \code{origin == "cquest"}, then all necessary variables are filled with those values:
\itemize{
\item \bold{origin} is changed to \url{https://data.cquest.org/registre_parcellaire_graphique}.
This url is adapted depending on year.
\item \bold{extension} default value is changed to \code{c("zip", "7z")}.
\item \bold{year} is used to set something equivalent to date, but directly in origin.
\item \bold{date} is set to null, because conflict may occur with year.
}

If \code{origin == "IGN"}, then all necessary variables are filled with those values:
\itemize{
\item \bold{origin} is changed to \url{ftp://RPG_ext:quoojaicaiqu6ahD@ftp3.ign.fr}.
This url is adapted depending on year.
\item \bold{name} default value is set to "RPG".
\item \bold{extension} default value is changed to \code{c("7z", "7z.001")}.
\item \bold{year} may be used to set something equivalent to date, but directly in origin.
This should be only used for year 2010 and 2011. It is not used if year is something else.
\item \bold{date} default value is set to "last". It is set to NULL if year is successfully used.
}

If not, everything shall be filled so that \code{download_archive()} can make a successful download.
}

\examples{

\dontrun{download.rpg(tempfile(), year = "2010")}
}
