% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/download_admin_express.R
\name{download_admin_express}
\alias{download_admin_express}
\title{Download Admin Express archives}
\usage{
download_admin_express(
  destination,
  origin = c("ign", "cquest"),
  name = c("ADMIN-EXPRESS-COG", "ADMIN-EXPRESS", "ADMIN-EXPRESS-COG-CARTO"),
  extension = "7z",
  date = "last",
  version = NULL,
  verbose = TRUE
)
}
\arguments{
\item{destination}{character, the address where dara are stocked.}

\item{origin}{character, a keyword or the address from where data are
downloaded.}

\item{name}{character, vector of acceptable names fo archive to be
downloaded.}

\item{extension}{character, vector of acceptable types of archive to be
downloaded.}

\item{date}{character, date of the archive to be downloaded.}

\item{version}{string, version of Admin Express to be downloaded.}

\item{verbose}{logical, should the function send some messages while running.}
}
\value{
nothing
}
\description{
Function used to downlaod Admin Express archives. The function has preset
options for its use with IGN website and data.cquest.org.
}
\details{
If \code{origin == "ign"}, \bold{origin} is set to
"https://geoservices.ign.fr/adminexpress"

If \code{origin == "cquest"}, \bold{origin} is set to
"https://data.cquest.org/ign/adminexpress"
}
\examples{
\dontrun{
destination = tempdir()
download_admin_express(destination, version = "MYT")
unlink(destination)
}
}
