% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/download_gaspar.R
\name{download_gaspar}
\alias{download_gaspar}
\title{Download gaspar database}
\usage{
download_gaspar(
  destination,
  origin = "georisques",
  name = "gaspar",
  extension = "zip",
  verbose = TRUE
)
}
\arguments{
\item{destination}{character, the address where dara are stocked}

\item{origin}{character, either a keyword or the address from where data are
downloaded. Best to keep it at default value.}

\item{name}{character, vector of acceptable names fo archive to be
downloaded}

\item{extension}{character, vector of acceptable types of archive to be
downloaded}

\item{verbose}{logical, should the function send somme messages while
running}
}
\value{
If everything got fine the \code{download_gaspar()} returns the
integer 0, if not it returns an object of class "try-error".
}
\description{
\code{download_gaspar()} downloads gaspar database from origin to destination.
}
\details{
The origin of the data is set by default to
\url{https://files.georisques.fr}. It can also be downloaded from
"cquest" and "opendatarchives" mirrors.

The georisques provider gives no indication of the time of the update of
gaspar db. So, if origin does not contain an indication of current day
in the format "\\%Y-\\%m-\\%d", this information will be appended to
destination as a subirectory of destination.

The destination directory will be created by the function, if missing.
}
\examples{

destination = tempfile()
\dontrun{download_gaspar(destination)}
\dontrun{download_gaspar(destination, origin = "cquest")}
\dontrun{download_gaspar(tempfile, origin = "opendatarchives")}
}
