% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/format_address.R
\encoding{UTF-8}
\name{format_address}
\alias{format_address}
\title{Formats several column in a single column}
\usage{
format_address(
  dataset,
  selection = c("address_number", "address_rep", "address_street", "commune_name")
)
}
\arguments{
\item{dataset}{dataframe}

\item{selection}{vector of colnames to be concatenated}
}
\value{
The function returns a vector from the concatenation. Each element of the concatenated columns will be separated by a space.
}
\description{
\code{format_address()} This function concatenates a selection of fields from a dataframe.
}
\details{
The function was created to process the French national address database (BAN) but it can be used to concatenate several columns in any dataframe.
}
\examples{

dataset = data.frame(
   address_number = c("1", "", "3", "35","", "7"),
   address_rep = c("","bis","","ter", "", ""),
   address_street = paste("street", LETTERS[1:6]), 
   commune_name = c("PARIS", "SETE", "LONDRES", "TOULOUSE", "LYON", "NICE")
)
dataset

format_address(dataset)
format_address(dataset, selection = c("commune_name", "address_street"))
}
