% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{naf_esane}
\alias{naf_esane}
\title{Typology of activities with additional information}
\format{
A data frame with 732 rows and 26 variables:
\describe{
\item{APE.05}{character, category at level 5, specific to France.}
\item{APE.01}{character, category at level 1, compatible with NACE.}
\item{APE.02}{character, category at level 2, compatible with NACE.}
\item{APE.03}{character, category at level 3, compatible with NACE.}
\item{APE.04}{character, category at level 4, compatible with NACE.}
\item{type}{character, type of activity, compatible with French damage
modelling.}
\item{category}{character, vulnerability category of activity,
compatible with French damage modelling.}
\item{leased}{character, TO BE SPECIFIED.}
\item{level}{character, level at which following data could be
retrieved.}
\item{n}{numeric, number of activity of given category.}
\item{employee}{numeric, number of employee of given category.}
\item{equipment}{numeric, value of equipment in € of given category.}
\item{stock}{numeric, value of stock in € of given category.}
\item{transport}{numeric, part of transport equipment within equipment
for given category.}
\item{virtual.corrected}{numeric, TO BE SPECIFIED.}
\item{e.emp}{numeric, value of equipment per employee in € of given
category.}
\item{s.emp}{numeric, value of stock per employee in € of given
category.}
\item{e.ent}{numeric, value of stock per activity in € of given
category.}
\item{s.ent}{numeric, value of stock per activty in € of given
category.}
\item{ACTENTNOMESS}{numeric, original data from ESANE.}
\item{EMPSALNOMESS}{numeric, original data from ESANE.}
\item{BAC123VALESE}{numeric, original data from ESANE.}
\item{BAC124VALESE}{numeric, original data from ESANE.}
\item{BAC152VALESE}{numeric, original data from ESANE.}
\item{BAC155VALESE}{numeric, original data from ESANE.}
\item{BAC156VALESE}{numeric, original data from ESANE.}
}
}
\usage{
naf_esane
}
\description{
A dataset containing the typology of activities at different level,
with some useful additional information from French database esane.
}
\keyword{datasets}
