% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/save_archive.R
\encoding{UTF-8}
\name{save_archive}
\alias{save_archive}
\title{Save an archive in a formatted way}
\usage{
save_archive(x, path, scope = NULL, extension = NULL, origin = "floodam.data")
}
\arguments{
\item{x}{data.frame, data to be archived.}

\item{path}{character, the path from wich the archive's path is constructed.
See details.}

\item{scope}{character or factor. If factor or long character, how x will be
sliced. If character of length 1, may be the name of a variable of x. See
details.}

\item{extension}{character, the extension and so the format to be used for
saving. See details.}

\item{origin}{character, default value to "floodam.data". See details.}
}
\value{
Nothin useful.
}
\description{
\code{save_archive()} saves archives in a formatted way, to help retrieve
those archives for a use in a typical 'floodam.data' perspective.
}
\details{
TO BE COMPLETED
}
\examples{

x = data.frame(scope = 0:2)
temp_dir = tempdir()
scope = "scope"

# No scope, no extension, only basename
save_archive(x, file.path(temp_dir, "x"))

# Adding a scope
save_archive(x, file.path(temp_dir, "x"), scope = "scope")

# Using a path with extension, but also parameter extension
save_archive(x, file.path(temp_dir, "x.7z"), extension = "rds", scope = "scope")
}
\author{
Frédéric Grelot
}
