% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summarise_dwelling.R
\encoding{UTF-8}
\name{summarise_dwelling}
\alias{summarise_dwelling}
\title{Summarise dwelling information from BD Topo}
\usage{
summarise_dwelling(
  origin,
  destination = file.path(origin, "synthesis"),
  archive,
  flood = NULL,
  graph = TRUE,
  retrieve = FALSE,
  verbose = TRUE
)
}
\arguments{
\item{origin}{character, path to the directory where archive are stored.}

\item{destination}{character, path to the directory where results should be
saved.}

\item{archive}{character, vector of archive to be summarised.}

\item{flood}{character, name of column that give it dwellings are in a flood
area. This column should be of type logical.}

\item{graph}{logical, should graphs be plotted.}

\item{retrieve}{logical, should the result be returned.}

\item{verbose}{logical, should the function give some sumup informations.}
}
\value{
if retrieve = TRUE, data.frame of summarised data.
}
\description{
\code{summarise_dwelling()} creates a summary of information that should
be for dwellings. It performs elementary statistics on how many buildings and
dwellings are included for a structured typlogy used inside the function.
}
\details{
If the option flood is given, \code{summarise_dwelling()} first makes a
selection on this column before doing the analysis.

If the option graph is set to TRUE, \code{summarise_dwelling()} traces graphs
that represent how "wall", "roof", and "level" evolves in yerly based for
each type in "AB", "MFH", "TH", and "SH". Those graphs are saved with a
reference to "flood" if given, to be able to find for what selection those
graphs have been plotted. If "flood" is not given, the reference is "all".
}
\author{
Frédéric Grelot
}
