% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/update_state.R
\encoding{UTF-8}
\name{update_state}
\alias{update_state}
\title{Update state from observation and BAN}
\usage{
update_state(
  observation,
  ban,
  observation_field = c("ban_id", "date", "visibility", "n_protection", "n_building",
    "n_fence", "coord_sup", "survey_id", "campaign", "survey_state"),
  ban_field = c("id", "address_number", "address_rep", "address_street", "commune",
    "position_type", "locality_name")
)
}
\arguments{
\item{observation}{data.frame of observations.}

\item{ban}{data.frame of address from BAN.}

\item{observation_field}{character, columns to be kept in observation.}

\item{ban_field}{character, columns to be kept in ban.}
}
\value{
data.frame consistent with ban data.frame (same rows) and with
informations from most recent observations.
}
\description{
\code{update_state()} creates a new state of observations in an area. All rows
(address) of the BAN are kept. For each address that has also observations
both valid and consistent with BAN's version, informations from the most
recent observation is added. A summary is added in the column \code{state} is
also given to easily find if an address has already been observed or not, and
if observed if it has protection or not.
}
