test_that("Test get_archive",
    {
        # data.cquest.org (erratic)
        # first result from get_archive is tested again NULL
        archive_solution = "RPG_2-0__SHP_LAMB93_R76_2020-01-01.7z"
        year = "2020"
        origin = "http://data.cquest.org/registre_parcellaire_graphique"
        solution = stats::setNames(
            file.path(origin, year, archive_solution),
            archive_solution
        )

        year_path = get_archive(origin, directory = TRUE, date = year)
        if (!is.null(year_path)) {
            expect_success(
                expect_identical(
                    year_path,
                    stats::setNames(file.path(origin, year), year)
                )
            )
        }

        rpg_cquest = get_archive(year_path["2020"], version = "R76")
        if (!is.null(rpg_cquest)) {
            expect_success(
                expect_identical(
                    rpg_cquest,
                    solution
                )
            )
        }

        # IGN
        origin = "https://geoservices.ign.fr/rpg"
        rpg_ign = get_archive(origin, version = "R76", date = year)
        expect_success(
            expect_identical(names(rpg_ign), archive_solution)
        )
    }
)
