skip("To be read again to have test passing and need to have small data.")

test_that("Test read_with_scheme",
    {
        names_solution = c(
            scheme_admin_express_3_1[["name"]][
                scheme_admin_express_3_1[["layer"]]=="COMMUNE" &
                scheme_admin_express_3_1[["keep"]]==TRUE 
            ],
            "geometry")
        class_solution = c("sf", "data.frame")
        file_name = system.file(
            "extdata",
            "mini_admin-express.gpkg",
            package = "floodam.data"
        )
        
        expect_error(
            read_with_scheme(
                x = file_name,
                scheme = scheme_admin_express_3_1
            )
        )
        expect_error(
            read_with_scheme(
                x = file_name,
                scheme = scheme_bd_topo_3,
                layer = "COMMUNE"
            )
        )

        expect_error(
            read_with_scheme(
                x = file_name,
                scheme = scheme_gaspar_risq,
                layer = "COMMUNE"
            )
        )

        solution = read_with_scheme(
            x = file_name,
            scheme = scheme_admin_express_3_1,
            layer = "COMMUNE"
        )
        expect_success(
            expect_identical(
                class_solution,
                class(solution)
            )
        )
        expect_success(
            expect_identical(
                names_solution,
                names(solution)
            )
        )

        solution = read_with_scheme(
            x = file_name,
            layer = "COMMUNE"
        )
        expect_success(
            expect_identical(
                class_solution,
                class(solution)
            )
        )

        file_name = system.file(
            "extdata",
            "mini_admin-express.7z",
            package = "floodam.data"
        )
        solution = read_with_scheme(
            x = file_name,
            scheme = scheme_admin_express_3_1,
            layer = "mini_admin-express",
            type = "shp"
        )
        expect_success(expect_identical(class_solution, class(solution)))
        expect_identical(names_solution, names(solution))

        file_name = system.file("extdata", "mini_admin-express.7z", package="floodam.data")
        solution = read_with_scheme(
            x = file_name,
            layer = "mini_admin-express",
            type = "shp"
        )
        expect_identical(names_solution, names(solution))

        file_name = system.file("extdata", "mini_admin-express.zip", package="floodam.data")
        solution = read_with_scheme(
            x = file_name,
            layer = "mini_admin-express",
            type = "shp"
        )
        expect_identical(names_solution, names(solution))


        file_name = system.file("extdata", "mini_admin-express.csv", package="floodam.data")
        solution = read_with_scheme(
            x = file_name
        )
        expect_identical(names_solution, names(solution))
    }
)
