test_that("Test update_ban",
    {
        v_i = "2023-01-01"
        v_f = "2024-01-01"

        ban_i = data.frame(
            ban_id = letters[1:7],
            address = LETTERS[1:7]
        )

        ban_f = data.frame(
            id = c("a", "b", "C", "d", "e", "h", "i"),
            address = c("A", "b", "C", "E", "D", "H", "I")
        )

        correction = data.frame(
            ban_id = "f",
            ban_id_cor = "h",
            address = "F",
            address_cor = "H"
        )
        
        id_ban_i = "ban_id"
        id_ban_f = "id"

        test = expect_silent(
            update_ban(
                ban_i,
                ban_f,
                v_i,
                v_f,
                id_ban_i = "ban_id",
                id_ban_f = "id"
            )
        )
        expect_identical(
            test[["log"]],
            c(
                "correct" = as.integer(1),
                "id" = as.integer(3),
                "address" = as.integer(1),
                "correction" = as.integer(2),
                "manual" = as.integer(0)
            )
        )

        test = expect_silent(
            update_ban(
                ban_i,
                ban_f,
                v_i,
                v_f,
                correction,
                id_ban_i,
                id_ban_f
            )
        )
        expect_identical(
            test[["log"]],
            c(
                "correct" = as.integer(2),
                "id" = as.integer(3),
                "address" = as.integer(1),
                "correction" = as.integer(1),
                "manual" = as.integer(1)
            )
        )
    }
)